Package ch.qos.logback.classic.util

# Class DefaultNestedComponentRules

java.lang.Object
ch.qos.logback.classic.util.DefaultNestedComponentRules

public class DefaultNestedComponentRules extends Object
Contains mappings for the default type of nested components in logback-classic.

Author:
  Ceki Gulcu

## Constructor Summary

Constructors
Constructor
Description
`DefaultNestedComponentRules()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultNestedComponentRules

public DefaultNestedComponentRules()

## Method Details

### addDefaultNestedComponentRegistryRules

public static void addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)